Bug 371171 - /etc/pam.d/kdm: synchronize with pam.d/gdm?
/etc/pam.d/kdm: synchronize with pam.d/gdm?
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 371201
  Show dependency treegraph
 
Reported: 2007-11-08 08:54 EST by Rex Dieter
Modified: 2008-09-06 13:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-06 13:35:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2007-11-08 08:54:40 EST
pam.d/kdm is missing gnome-keyring integration, which makes our use of
nm-applet/gnome-keyring ask for passphrase every time.

Suggested fix from irc was to pretty much copy over pam.d/gdm -> pam.d/kdm

I tried this, and it's worked ok for me, so far.
Comment 1 Rex Dieter 2007-11-08 08:55:27 EST
This made me think, pam configs is probably a good candidate to put into
kde-settings instead.
Comment 2 Kevin Kofler 2007-11-08 11:36:52 EST
pam_keyring is off by default in GNOME too in F8, they say it doesn't work with 
users changing their passwords and so it's not good enough to be on by default. 
(At least that's from memory, off fedora-devel discussions.)
Comment 3 Rex Dieter 2007-11-08 11:42:07 EST
> pam_keyring is off by default in GNOME too in F8

It is Require'd by gdm, and is referenced in gdm's pam config.  I'm only
proposing we follow suit with the latter (update kdm's pam config).
Comment 4 Rex Dieter 2007-11-09 07:40:52 EST
OK, Let's consider this low-priority (if at all).  It's unclear to me exactly
what risks, benefits there would be by modifying pam.d/kdm at this point.
Comment 5 Rex Dieter 2008-09-06 13:35:15 EDT
alright, I think we can agree to mark this WONTFIX (for F-8 anyway).

Note You need to log in before you can comment on or make changes to this bug.